---
updatedAt: 2026-09-02T20:15:44.000Z
agentTools:
  projectIndex: https://developer.veem.com/llms.txt
---

# Claim invoice

Claim and pay an invoice from another party.

The claim invoice feature allows for a user to accept an invoice from a party.  Users of the API can use this functionality as part of an existing invoicing capability for a different provider.

## Pay an invoice to a business

```http
POST /veem/v1.2/invoices/claim
```

> 📘 **Headers**
>
> Three headers are required to use this endpoint.
>
> | Name            | Type   | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
> | --------------- | ------ | -------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
> | `Authorization` | string | Yes      | Bearer token (OAuth 2.0) This header holds the bearer token required to use Veem's public API, and **belongs to the owner account**. Failure to use a valid bearer token will result in a 404 (Not Found) status code in the response. An example of a valid header value is as follows: `Bearer c047594b-082c-4da1-be89-08fe3770f4b3`. <br />See [Get Access Token section](https://developer.veem.com/docs/oauth#1---get-access-token) to generate your Bearer token. |
> | `X-Request-Id`  | string | Yes      | This is a unique string that identifies the current API request, and should follow the UUID format. Reusing this header without changing the value will result in a 409 (Conflict) status code in the response. An example X-request-id is as follows: `48855846-628d-4177-b071-80332a116f0a`                                                                                                                                                                           |
> | `Content-Type`  | string | Yes      | The content type of the request. Must be `application/json`                                                                                                                                                                                                                                                                                                                                                                                                             |

<br />

### Request payload

```json Request
{
    "invoiceId": 455711,
    "fundingMethod": {
        "id": 4559,
        "type": "Bank"
    },
    "onBehalfAccountId": 412432 // see Partner Notes
}
```

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Mandatory?
      </th>

      <th>
        Format/Values
      </th>

      <th>
        Size (in chars)
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        invoiceId
      </td>

      <td>
        **Yes**
      </td>

      <td>
        Number, the ID of the invoice you want to claim
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        fundingMethod
      </td>

      <td>
        **Yes**
      </td>

      <td>
        Object, the funding method object you want to use for paying the invoice
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        fundingMethod.id
      </td>

      <td>
        **Yes**
      </td>

      <td>
        Number, the ID of the funding method
      </td>

      <td>
        128 (**Max**)
      </td>
    </tr>

    <tr>
      <td>
        fundingMethod.type
      </td>

      <td>
        **Yes**
      </td>

      <td>
        String, one of

        - Bank
        - Wallet
        - Card
        - VirtualCard
        - VirtualBank
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        sameDayAchDebitRequested
      </td>

      <td>
        No
      </td>

      <td>
        Boolean, true or false<br />Request to process the invoice payment with Same Day ACH.
      </td>

      <td>

      </td>
    </tr>
  </tbody>
</Table>

To get the funding method ID and type, use [List Funding Methods](/docs/list-funding-methods) endpoint.

<Callout icon="👍" theme="okay">
  **Partner Notes:**

  * A partner account can be configured to make this API request on behalf of their customers. This requires internal configuration for the partner account by Veem. Once the internal configuration is enabled, the API request can be made using partner account bearer token.
  * `onBehalfAccountId` is an optional parameter, this needs to be included on the request body in case of partner making an API request on behalf of their customer. This is the customer Veem account ID.
</Callout>

### Response payload

```json Response
{
    "requestId": "29552b04-6247-4928-beaf-89f6b7391285",
    "notes": "Invoice test",
    "payee": {
        "email": "angel.solorzanosanchez+payee8f2db742-44a1-4ac8-a3b2-a44fa803c2d6@veem.com",
        "countryCode": "NG",
        "phone": "tel:+234-808-232-4446"
    },
    "payeeAmount": {
        "number": 50.00,
        "currency": "USD"
    },
    "status": "Claimed",
    "goodFundsPayment": false,
    "realTimePayment": false,
    "id": 462165,
    "invoiceId": 455711,
    "exchangeRate": {
        "fromAmount": 50.00,
        "fromCurrency": "USD",
        "toAmount": 50.00,
        "toCurrency": "USD"
    },
    "feeInformation": {
        "payerInfo": {
            "originalAmount": 50.00,
            "feeAmount": 0.00,
            "totalAmount": 50.00,
            "currency": "USD"
        },
        "payeeInfo": {
            "originalAmount": 50.00,
            "feeAmount": 0.00,
            "totalAmount": 50.00,
            "currency": "USD"
        }
    },
    "timeCreated": "2025-02-18T12:03:24.243-08:00",
    "timeUpdated": "2025-02-18T12:03:24.903-08:00",
    "debitCreditTxn": {
        "debitTxn": null,
        "creditTxn": null,
        "refundTxn": null
    },
    "fastTransfer": false,
    "cancelable": true,
    "payerFundingMethodType": "Bank",
    "receiverFundingMethodType": "Wallet"
}
```